<xml></xml>

Collapse AllExpand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

Berkeley DB .NET API Documentation
BaseDatabase..::.PrintFastStats Method (Boolean)
BaseDatabase Class See Also Send Feedback

Display the database statistical information which does not require traversal of the database.

Namespace: BerkeleyDB
Assembly: libdb_dotnet62 (in libdb_dotnet62.dll) Version: 6.2.32.0

# Syntax

C#

    public void PrintFastStats(
    	bool PrintAll
    )

Visual Basic (Declaration)

    Public Sub PrintFastStats ( _
    	PrintAll As Boolean _
    )

Visual C++

    public:
    void PrintFastStats(
    	bool PrintAll
    )

#### Parameters

PrintAll
  Type: System..::.Boolean
  If true, display all available information.

# Remarks

Among other things, this method makes it possible for applications to request key and record counts without incurring the performance penalty of traversing the entire database.

# See Also

BaseDatabase Class
PrintFastStats Overload
BerkeleyDB Namespace